## fo-id

fo-id —

## Synopsis

    struct      FoId;
    struct      FoIdClass;
    FoDatatype* fo_id_new_with_value            (const gchar *value);
    gchar*      fo_id_get_value                 (FoDatatype *id);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoId

## Properties

      "value"                gchararray           : Read / Write

## Description

## Details

### struct FoId

    struct FoId;

### struct FoIdClass

    struct FoIdClass;

### fo_id_new_with_value ()

    FoDatatype* fo_id_new_with_value            (const gchar *value);

Creates a new FoId initialized to `value`.

`value` : | Id of new FoId.
Returns : | the new FoId.

### fo_id_get_value ()

    gchar*      fo_id_get_value                 (FoDatatype *id);

Get the value of `id`.

`id` : | FoId.
Returns : | String value of `id`.

## Properties

"`value`" (gchararray : Read / Write) | Id value.